# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global realname urdfdom_headers

Name:		urdfdom-headers
Version:	0.2.2
Release:	alt1_2
Summary:	The URDF (U-Robot Description Format) headers

Group:		Development/C
License:	BSD
URL:		http://ros.org/wiki/urdf
# Use the script generate-tarball-urdfdom-headers to check out source and
# create export the correct branch
Source0:	%{name}-%{version}.tar.bz2
Source1:	generate-tarball-%{name}.sh
# This patch moves the pkgconfig file to /usr/share and moves the headers
# to the "urdf" subdirectory of /usr/include
# Not submitted upstream.
Patch0:		urdf-0.2.0-fedora.patch
BuildArch:	noarch
BuildRequires: ctest cmake
Source44: import.info

%description
%{summary}

%package devel
Group: Development/C
Summary: The URDF (U-Robot Description Format) headers
BuildArch: noarch
Provides: %{name}-static = %{version}-%{release}

%description devel
The URDF (U-Robot Description Format) headers provides core data structure
headers for URDF.

For now, the details of the URDF specifications reside on
http://ros.org/wiki/urdf

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .fedora

%build
mkdir build; pushd build
%{fedora_cmake} ..
popd
make -C build %{?_smp_mflags}


%install
make -C build install DESTDIR=%{buildroot}

# LICENSE file is not correct, don't include it
%files devel
%doc README.txt
%{_includedir}/urdf
%{_includedir}/urdf_world
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{realname}

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_2
- initial fc import

